import javax.swing.*;
import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import java.awt.image.*;//画像処理に必要
import java.awt.geom.*;//画像処理に必要

public class ImageEnlargeShrink extends JFrame implements MouseListener,MouseMotionListener,ActionListener{
    public ImageEnlargeShrink() {
        //ウィンドウを作成する
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);//ウィンドウを閉じるときに，正しく閉じるように設定する
        this.setSize(650,650);		//ウィンドウのサイズを設定する
        Container c = this.getContentPane();	//フレームのペインを取得する
        c.setLayout(null);		//自動レイアウトの設定を行わない
        c.setBackground(Color.CYAN);//ウィンドウの色の設定

        //拡大縮小したい画像を読み込む
        ImageIcon tempImage = new ImageIcon("image1.png");

        //拡大画像の作成（高さの-1は自動設定の意味）
        Image bigImg = tempImage.getImage().getScaledInstance((int) (tempImage.getIconWidth() * 1.5), -1, Image.SCALE_SMOOTH);

        //縮小画像の作成（高さの-1は自動設定の意味）
        Image smallImg = tempImage.getImage().getScaledInstance((int) (tempImage.getIconWidth() * 0.5), -1, Image.SCALE_SMOOTH);

        //拡大アイコンの作成
        Icon iconBig = new ImageIcon(bigImg);//大きな画像を張り直す

        //縮小アイコンの作成
        Icon iconSmall = new ImageIcon(smallImg);//大きな画像を張り直す

        //ボタンの生成
        JButton theButton1 = new JButton(iconBig);//ボタンを作成
        c.add(theButton1);//ペインに貼り付ける
        theButton1.setBounds(245,245,iconBig.getIconWidth(),iconBig.getIconHeight());//ボタンの大きさと位置を設定する．(x座標，y座標,xの幅,yの幅）

        //ボタンの作成
        JButton theButton2 = new JButton(iconSmall);//ボタンを作成
        c.add(theButton2);//ペインに貼り付ける
        theButton2.setBounds(25,25,iconSmall.getIconWidth(),iconSmall.getIconHeight());//ボタンの大きさと位置を設定する．(x座標，y座標,xの幅,yの幅）
    }

    public static void main(String[] args) {
        ImageEnlargeShrink gui = new ImageEnlargeShrink();
        gui.setVisible(true);
    }

    public void mouseClicked(MouseEvent e) {
        System.out.println("マウスをクリックした");
    }

    public void mousePressed(MouseEvent e) {
        System.out.println("マウスを押した");
    }

    public void mouseReleased(MouseEvent e) {
        System.out.println("マウスを放した");
    }

    public void mouseEntered(MouseEvent e) {
        System.out.println("マウスが入った");
    }

    public void mouseExited(MouseEvent e) {
        System.out.println("マウス脱出");
    }

    public void mouseDragged(MouseEvent e) {
        System.out.println("マウスをドラッグ");
    }

    public void mouseMoved(MouseEvent e) {
        System.out.println("マウス移動");
    }

    public void actionPerformed(ActionEvent e) {
        System.out.println("アクション発生");
        System.out.println(e.getSource());
        String theCmd = e.getActionCommand();
        System.out.println("ActionCommand: "+theCmd);
    }
}
